Bug 433120 - selinux stops acpid finding gnome-power-manager
selinux stops acpid finding gnome-power-manager
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-16 10:19 EST by Simon Goodall
Modified: 2008-11-17 17:03 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-17 17:03:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Goodall 2008-02-16 10:19:16 EST
Description of problem:
The default acpid scrips hook into the power button press to shutdown the
machine if gnome-power-manager is not present.
The acpid script runs ck-list-sessions to find the uid of users with an open
display. However this fails to return output when run from the acpid script
causing the machine to power down regardless of gnome-power-manager
Inserting the following line into /etc/acpi/actions/power.sh 

ck-list-sessions > /tmp/acpid-output 2>&1

yields;

** (ck-list-sessions:3197): WARNING **: Failed to get list of seats: An SELinux
policy prevents this sender from sending this message to this recipient
(rejected message had interface "org.freedesktop.ConsoleKit.Manager" member
"GetSeats" error name "(unset)" destination "org.freedesktop.ConsoleKit")

Where as running from a terminal gives me a result.

Version-Release number of selected component (if applicable):
selinux-policy-3.0.8-84.fc8

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Walsh 2008-02-26 16:49:49 EST
You can allow this for now by executing 

# audit2allow -M mypol -i /var/log/audit/audit.log 
# semodule -i mypol.pp

Fixed in selinux-policy-3.0.8-89.fc8
Comment 2 Daniel Walsh 2008-11-17 17:03:06 EST
Closing all bugs that have been in modified for over a month.  Please reopen if the bug is not actually fixed.

Note You need to log in before you can comment on or make changes to this bug.